using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.GridHelperClasses;

namespace GCClipBoardFlags
{
    public partial class Form1 : Form
    {
        public Form1()
        {            
            InitializeComponent();                                
            
        } 

        private void Form1_Load(object sender, EventArgs e)
        {
            RegisterCellModel.GridCellType(gridControl1, CustomCellTypes.ButtonEdit);
            StringCollection sc = new StringCollection();
            Syncfusion.GridHelperClasses.ButtonEditStyleProperties sp;
            this.gridControl1[1, 1].CellType = "ButtonEdit";
			sp = new Syncfusion.GridHelperClasses.ButtonEditStyleProperties(this.gridControl1[1,1]);
            sp.ButtonEditInfo.ButtonEditType = Syncfusion.GridHelperClasses.ButtonType.Browse;

            sc.Add("One");
            sc.Add("Two");
            this.gridControl1[2, 2].CellType = "ComboBox";
            this.gridControl1[2, 2].ChoiceList = sc;
            this.gridControl1[2, 2].DropDownStyle = GridDropDownStyle.AutoComplete;
            StringCollection sc1 = new StringCollection();            
            sc1.Add("Three");
            sc1.Add("Four");
            this.gridControl1[2, 4].CellType = "ComboBox";
            this.gridControl1[2, 4].ChoiceList = sc1;
            this.gridControl1[2, 4].ShowButtons = GridShowButtons.ShowCurrentCell;

            StringCollection sc2 = new StringCollection();
            sc2.Add("Three");
            sc2.Add("Four");
            this.gridControl1[2, 3].CellType = "ComboBox";
            this.gridControl1[2, 3].ChoiceList = sc2;  
      

            this.gridControl1.ContextMenuStrip = this.ContextMenu;
            this.gridControl1.Model.CutPaste.ClipboardFlags &= GridDragDropFlags.Styles;

            

            this.gridControl1.ClipboardCanCopy += new GridCutPasteEventHandler(gridControl1_ClipboardCanCopy);
            this.gridControl1.ClipboardCanPaste += new GridCutPasteEventHandler(gridControl1_ClipboardCanPaste);
        
        }

        GridStyleInfo sour, tar;

        void gridControl1_ClipboardCanPaste(object sender, GridCutPasteEventArgs e)
        {
            tar = this.gridControl1[this.gridControl1.CurrentCell.RowIndex, this.gridControl1.CurrentCell.ColIndex];
            if (sour.CellType == tar.CellType)
            {
                tar.ModifyStyle(sour, Syncfusion.Styles.StyleModifyType.Override);                
                e.Handled = true;
            }
        }

        void gridControl1_ClipboardCanCopy(object sender, GridCutPasteEventArgs e)
        {
            sour = this.gridControl1[this.gridControl1.CurrentCell.RowIndex, this.gridControl1.CurrentCell.ColIndex];            
        }

        
       
    }
}